# class RegExp

#### package js

Available on HTML5

Native JavaScript regular expressions.

For cross-platform regular expressions, use Haxe `EReg` class or regexp literals.

### Constructor

###

`new (pattern:String, ?flags:String)`

### Variables

###

`read onlyglobal:Bool`

###

`read onlyignoreCase:Bool`

###

`lastIndex:Int`

###

`read onlymultiline:Bool`

###

`read onlysource:String`

### Methods

###

`exec (str:String):Null<RegExpMatch>`

###

`test (str:String):Bool`

###

`toString ():String`